Bug 1618800 - Open URL Does Not Work When Using a DIalog with a Button
Summary: Open URL Does Not Work When Using a DIalog with a Button
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: GA
: 5.9.5
Assignee: Zita Nemeckova
QA Contact: Nikhil Dhandre
URL:
Whiteboard:
Depends On: 1602023
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-17 15:58 UTC by Satoe Imaishi
Modified: 2018-11-05 13:58 UTC (History)
13 users (show)

Fixed In Version: 5.9.5.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1602023
Environment:
Last Closed: 2018-11-05 13:58:28 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)
verified out (3.70 MB, image/gif)
2018-10-08 05:13 UTC, Nikhil Dhandre
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3466 None None None 2018-11-05 13:58:57 UTC

Comment 2 CFME Bot 2018-09-11 21:26:10 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/530c20d7a7aa9b1b7e85d222544062971d0906d3
commit 530c20d7a7aa9b1b7e85d222544062971d0906d3
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Wed Aug 22 08:34:49 2018 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Wed Aug 22 08:34:49 2018 -0400

    Merge pull request #17802 from pkomanek/creating_miq_task_for_ae_method_from_custom_button_with_open_url

    Creating miq_request for CustomButton request call with open_url.
    (cherry picked from commit 5bcea523d62989c0fc6e65d1169e057f904ed338)

    https://bugzilla.redhat.com/show_bug.cgi?id=1618800

 app/models/custom_button.rb | 4 +
 app/models/resource_action.rb | 14 +-
 app/models/resource_action_workflow.rb | 6 +-
 spec/models/resource_action_spec.rb | 11 +
 spec/models/resource_action_workflow_spec.rb | 17 +-
 5 files changed, 46 insertions(+), 6 deletions(-)

Comment 3 CFME Bot 2018-09-13 15:51:17 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/174a2c1159be0d5f71424ab6f8002c9ee3eb066b
commit 174a2c1159be0d5f71424ab6f8002c9ee3eb066b
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue Aug 28 13:31:13 2018 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Tue Aug 28 13:31:13 2018 -0400

    Merge pull request #17917 from bdunne/fix_the_api_specs_after_17802

    Ensure options is always a hash
    (cherry picked from commit 64f9089f20a011b4033cf5f97a2f1c9b5903aec3)

    https://bugzilla.redhat.com/show_bug.cgi?id=1618800

 app/models/custom_button.rb | 2 +-
 spec/models/custom_button_spec.rb | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

Comment 4 CFME Bot 2018-09-13 16:04:30 UTC
New commit detected on ManageIQ/manageiq-api/gaprindashvili:

https://github.com/ManageIQ/manageiq-api/commit/5c28877089dac33728ebce555403a5fa974fdd16
commit 5c28877089dac33728ebce555403a5fa974fdd16
Author:     Alberto Bellotti <abellotti@users.noreply.github.com>
AuthorDate: Fri Aug 17 14:54:49 2018 -0400
Commit:     Alberto Bellotti <abellotti@users.noreply.github.com>
CommitDate: Fri Aug 17 14:54:49 2018 -0400

    Merge pull request #444 from skateman/custom-action-task-id

    Include task_id in the response when invoking a custom button
    (cherry picked from commit 022cf03b4967cf00aff16e85bb24bc4c52b41f76)

    https://bugzilla.redhat.com/show_bug.cgi?id=1618800

 app/controllers/api/base_controller/generic.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 5 CFME Bot 2018-09-13 16:24:00 UTC
New commit detected on ManageIQ/manageiq-automation_engine/gaprindashvili:

https://github.com/ManageIQ/manageiq-automation_engine/commit/27bdb04bb595c3a7fc11f3381ee0d5ec8694ba6b
commit 27bdb04bb595c3a7fc11f3381ee0d5ec8694ba6b
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu Aug 16 19:02:43 2018 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Thu Aug 16 19:02:43 2018 -0400

    Merge pull request #205 from pkomanek/updating_miq_task_for_custom_button_request_with_open_url

    Updating miq_task for the CustomButton request call with open_url.
    (cherry picked from commit a86cb1cc41d540e9f22282186c7d2985bdfb0914)

    https://bugzilla.redhat.com/show_bug.cgi?id=1618800

 lib/miq_automation_engine/engine/miq_ae_engine.rb | 9 +
 spec/miq_ae_engine_spec.rb | 15 +-
 2 files changed, 22 insertions(+), 2 deletions(-)

Comment 7 Nikhil Dhandre 2018-10-08 05:13:24 UTC
Created attachment 1491515 [details]
verified out

Tested on Version 5.9.5.0.20180927190514_e161d8f

OpenUrl with ssh working awesome.

Comment 9 errata-xmlrpc 2018-11-05 13:58:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466


Note You need to log in before you can comment on or make changes to this bug.